opencv: /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/imgproc/include/opencv2/imgproc/imgproc_c.h File Reference

Defines | Functions

# /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/imgproc/include/opencv2/imgproc/imgproc_c.h File Reference

Go to the source code of this file.

## Defines
#define | cvCalcBackProject(image, dst, hist) cvCalcArrBackProject((CvArr**)image, dst, hist)
#define | cvCalcBackProjectPatch(image, dst, range, hist, method, factor) cvCalcArrBackProjectPatch( (CvArr**)image, dst, range, hist, method, factor )
## Functions
CvMat * | cv2DRotationMatrix (CvPoint2D32f center, double angle, double scale, CvMat *map_matrix)
void | cvAcc (const CvArr *image, CvArr *sum, const CvArr *mask CV_DEFAULT(NULL))
void | cvAdaptiveThreshold (const CvArr *src, CvArr *dst, double max_value, int adaptive_method CV_DEFAULT(CV_ADAPTIVE_THRESH_MEAN_C), int threshold_type CV_DEFAULT(CV_THRESH_BINARY), int block_size CV_DEFAULT(3), double param1 CV_DEFAULT(5))
CvSeq * | cvApproxChains (CvSeq *src_seq, CvMemStorage *storage, int method CV_DEFAULT(CV_CHAIN_APPROX_SIMPLE), double parameter CV_DEFAULT(0), int minimal_perimeter CV_DEFAULT(0), int recursive CV_DEFAULT(0))
CvSeq * | cvApproxPoly (const void *src_seq, int header_size, CvMemStorage *storage, int method, double parameter, int parameter2 CV_DEFAULT(0))
double | cvArcLength (const void *curve, CvSlice slice CV_DEFAULT(CV_WHOLE_SEQ), int is_closed CV_DEFAULT(-1))
CvRect | cvBoundingRect (CvArr *points, int update CV_DEFAULT(0))
void | cvBoxPoints (CvBox2D box, CvPoint2D32f pt[4])
void | cvCalcArrBackProject (CvArr **image, CvArr *dst, const CvHistogram *hist)
void | cvCalcArrBackProjectPatch (CvArr **image, CvArr *dst, CvSize range, CvHistogram *hist, int method, double factor)
void | cvCalcArrHist (CvArr **arr, CvHistogram *hist, int accumulate CV_DEFAULT(0), const CvArr *mask CV_DEFAULT(NULL))
void | cvCalcBayesianProb (CvHistogram **src, int number, CvHistogram **dst)
float | cvCalcEMD2 (const CvArr *signature1, const CvArr *signature2, int distance_type, CvDistanceFunction distance_func CV_DEFAULT(NULL), const CvArr *cost_matrix CV_DEFAULT(NULL), CvArr *flow CV_DEFAULT(NULL), float *lower_bound CV_DEFAULT(NULL), void *userdata CV_DEFAULT(NULL))
CV_INLINE void | cvCalcHist (IplImage **image, CvHistogram *hist, int accumulate CV_DEFAULT(0), const CvArr *mask CV_DEFAULT(NULL))
void | cvCalcProbDensity (const CvHistogram *hist1, const CvHistogram *hist2, CvHistogram *dst_hist, double scale CV_DEFAULT(255))
void | cvCalcSubdivVoronoi2D (CvSubdiv2D *subdiv)
void | cvCanny (const CvArr *image, CvArr *edges, double threshold1, double threshold2, int aperture_size CV_DEFAULT(3))
int | cvCheckContourConvexity (const CvArr *contour)
void | cvClearHist (CvHistogram *hist)
void | cvClearSubdivVoronoi2D (CvSubdiv2D *subdiv)
double | cvCompareHist (const CvHistogram *hist1, const CvHistogram *hist2, int method)
double | cvContourArea (const CvArr *contour, CvSlice slice CV_DEFAULT(CV_WHOLE_SEQ), int oriented CV_DEFAULT(0))
CV_INLINE double | cvContourPerimeter (const void *contour)
void | cvConvertMaps (const CvArr *mapx, const CvArr *mapy, CvArr *mapxy, CvArr *mapalpha)
CvSeq * | cvConvexHull2 (const CvArr *input, void *hull_storage CV_DEFAULT(NULL), int orientation CV_DEFAULT(CV_CLOCKWISE), int return_points CV_DEFAULT(0))
CvSeq * | cvConvexityDefects (const CvArr *contour, const CvArr *convexhull, CvMemStorage *storage CV_DEFAULT(NULL))
void | cvCopyHist (const CvHistogram *src, CvHistogram **dst)
void | cvCopyMakeBorder (const CvArr *src, CvArr *dst, CvPoint offset, int bordertype, CvScalar value CV_DEFAULT(cvScalarAll(0)))
void | cvCornerEigenValsAndVecs (const CvArr *image, CvArr *eigenvv, int block_size, int aperture_size CV_DEFAULT(3))
void | cvCornerHarris (const CvArr *image, CvArr *harris_responce, int block_size, int aperture_size CV_DEFAULT(3), double k CV_DEFAULT(0.04))
void | cvCornerMinEigenVal (const CvArr *image, CvArr *eigenval, int block_size, int aperture_size CV_DEFAULT(3))
CvHistogram * | cvCreateHist (int dims, int *sizes, int type, float **ranges CV_DEFAULT(NULL), int uniform CV_DEFAULT(1))
struct CvFeatureTree * | cvCreateKDTree (CvMat *desc)
struct CvLSH * | cvCreateLSH (struct CvLSHOperations *ops, int d, int L CV_DEFAULT(10), int k CV_DEFAULT(10), int type CV_DEFAULT(CV_64FC1), double r CV_DEFAULT(4), int64 seed CV_DEFAULT(-1))
struct CvLSH * | cvCreateMemoryLSH (int d, int n, int L CV_DEFAULT(10), int k CV_DEFAULT(10), int type CV_DEFAULT(CV_64FC1), double r CV_DEFAULT(4), int64 seed CV_DEFAULT(-1))
CvMat ** | cvCreatePyramid (const CvArr *img, int extra_layers, double rate, const CvSize *layer_sizes CV_DEFAULT(0), CvArr *bufarr CV_DEFAULT(0), int calc CV_DEFAULT(1), int filter CV_DEFAULT(CV_GAUSSIAN_5x5))
struct CvFeatureTree * | cvCreateSpillTree (const CvMat *raw_data, const int naive CV_DEFAULT(50), const double rho CV_DEFAULT(.7), const double tau CV_DEFAULT(.1))
IplConvKernel * | cvCreateStructuringElementEx (int cols, int rows, int anchor_x, int anchor_y, int shape, int *values CV_DEFAULT(NULL))
CvSubdiv2D * | cvCreateSubdiv2D (int subdiv_type, int header_size, int vtx_size, int quadedge_size, CvMemStorage *storage)
CV_INLINE CvSubdiv2D * | cvCreateSubdivDelaunay2D (CvRect rect, CvMemStorage *storage)
void | cvCvtColor (const CvArr *src, CvArr *dst, int code)
void | cvDilate (const CvArr *src, CvArr *dst, IplConvKernel *element CV_DEFAULT(NULL), int iterations CV_DEFAULT(1))
void | cvDistTransform (const CvArr *src, CvArr *dst, int distance_type CV_DEFAULT(CV_DIST_L2), int mask_size CV_DEFAULT(3), const float *mask CV_DEFAULT(NULL), CvArr *labels CV_DEFAULT(NULL))
CvSeq * | cvEndFindContours (CvContourScanner *scanner)
void | cvEqualizeHist (const CvArr *src, CvArr *dst)
void | cvErode (const CvArr *src, CvArr *dst, IplConvKernel *element CV_DEFAULT(NULL), int iterations CV_DEFAULT(1))
void | cvFilter2D (const CvArr *src, CvArr *dst, const CvMat *kernel, CvPoint anchor CV_DEFAULT(cvPoint(-1,-1)))
int | cvFindContours (CvArr *image, CvMemStorage *storage, CvSeq **first_contour, int header_size CV_DEFAULT(sizeof(CvContour)), int mode CV_DEFAULT(CV_RETR_LIST), int method CV_DEFAULT(CV_CHAIN_APPROX_SIMPLE), CvPoint offset CV_DEFAULT(cvPoint(0, 0)))
void | cvFindCornerSubPix (const CvArr *image, CvPoint2D32f *corners, int count, CvSize win, CvSize zero_zone, CvTermCriteria criteria)
void | cvFindFeatures (struct CvFeatureTree *tr, const CvMat *query_points, CvMat *indices, CvMat *dist, int k, int emax CV_DEFAULT(20))
int | cvFindFeaturesBoxed (struct CvFeatureTree *tr, CvMat *bounds_min, CvMat *bounds_max, CvMat *out_indices)
CvSubdiv2DPoint * | cvFindNearestPoint2D (CvSubdiv2D *subdiv, CvPoint2D32f pt)
CvSeq * | cvFindNextContour (CvContourScanner scanner)
CvBox2D | cvFitEllipse2 (const CvArr *points)
void | cvFitLine (const CvArr *points, int dist_type, double param, double reps, double aeps, float *line)
void | cvFloodFill (CvArr *image, CvPoint seed_point, CvScalar new_val, CvScalar lo_diff CV_DEFAULT(cvScalarAll(0)), CvScalar up_diff CV_DEFAULT(cvScalarAll(0)), CvConnectedComp *comp CV_DEFAULT(NULL), int flags CV_DEFAULT(4), CvArr *mask CV_DEFAULT(NULL))
CvMat * | cvGetAffineTransform (const CvPoint2D32f *src, const CvPoint2D32f *dst, CvMat *map_matrix)
double | cvGetCentralMoment (CvMoments *moments, int x_order, int y_order)
void | cvGetHuMoments (CvMoments *moments, CvHuMoments *hu_moments)
void | cvGetMinMaxHistValue (const CvHistogram *hist, float *min_value, float *max_value, int *min_idx CV_DEFAULT(NULL), int *max_idx CV_DEFAULT(NULL))
double | cvGetNormalizedCentralMoment (CvMoments *moments, int x_order, int y_order)
CvMat * | cvGetPerspectiveTransform (const CvPoint2D32f *src, const CvPoint2D32f *dst, CvMat *map_matrix)
void | cvGetQuadrangleSubPix (const CvArr *src, CvArr *dst, const CvMat *map_matrix)
void | cvGetRectSubPix (const CvArr *src, CvArr *dst, CvPoint2D32f center)
double | cvGetSpatialMoment (CvMoments *moments, int x_order, int y_order)
void | cvGoodFeaturesToTrack (const CvArr *image, CvArr *eig_image, CvArr *temp_image, CvPoint2D32f *corners, int *corner_count, double quality_level, double min_distance, const CvArr *mask CV_DEFAULT(NULL), int block_size CV_DEFAULT(3), int use_harris CV_DEFAULT(0), double k CV_DEFAULT(0.04))
CvSeq * | cvHoughCircles (CvArr *image, void *circle_storage, int method, double dp, double min_dist, double param1 CV_DEFAULT(100), double param2 CV_DEFAULT(100), int min_radius CV_DEFAULT(0), int max_radius CV_DEFAULT(0))
CvSeq * | cvHoughLines2 (CvArr *image, void *line_storage, int method, double rho, double theta, int threshold, double param1 CV_DEFAULT(0), double param2 CV_DEFAULT(0))
void | cvInitSubdivDelaunay2D (CvSubdiv2D *subdiv, CvRect rect)
void | cvInitUndistortMap (const CvMat *camera_matrix, const CvMat *distortion_coeffs, CvArr *mapx, CvArr *mapy)
void | cvInitUndistortRectifyMap (const CvMat *camera_matrix, const CvMat *dist_coeffs, const CvMat *R, const CvMat *new_camera_matrix, CvArr *mapx, CvArr *mapy)
void | cvInpaint (const CvArr *src, const CvArr *inpaint_mask, CvArr *dst, double inpaintRange, int flags)
void | cvIntegral (const CvArr *image, CvArr *sum, CvArr *sqsum CV_DEFAULT(NULL), CvArr *tilted_sum CV_DEFAULT(NULL))
void | cvLaplace (const CvArr *src, CvArr *dst, int aperture_size CV_DEFAULT(3))
void | cvLinearPolar (const CvArr *src, CvArr *dst, CvPoint2D32f center, double maxRadius, int flags CV_DEFAULT(CV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS))
void | cvLogPolar (const CvArr *src, CvArr *dst, CvPoint2D32f center, double M, int flags CV_DEFAULT(CV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS))
void | cvLSHAdd (struct CvLSH *lsh, const CvMat *data, CvMat *indices CV_DEFAULT(0))
void | cvLSHQuery (struct CvLSH *lsh, const CvMat *query_points, CvMat *indices, CvMat *dist, int k, int emax)
void | cvLSHRemove (struct CvLSH *lsh, const CvMat *indices)
CvHistogram * | cvMakeHistHeaderForArray (int dims, int *sizes, CvHistogram *hist, float *data, float **ranges CV_DEFAULT(NULL), int uniform CV_DEFAULT(1))
double | cvMatchShapes (const void *object1, const void *object2, int method, double parameter CV_DEFAULT(0))
void | cvMatchTemplate (const CvArr *image, const CvArr *templ, CvArr *result, int method)
CvRect | cvMaxRect (const CvRect *rect1, const CvRect *rect2)
CvBox2D | cvMinAreaRect2 (const CvArr *points, CvMemStorage *storage CV_DEFAULT(NULL))
int | cvMinEnclosingCircle (const CvArr *points, CvPoint2D32f *center, float *radius)
void | cvMoments (const CvArr *arr, CvMoments *moments, int binary CV_DEFAULT(0))
void | cvMorphologyEx (const CvArr *src, CvArr *dst, CvArr *temp, IplConvKernel *element, int operation, int iterations CV_DEFAULT(1))
void | cvMultiplyAcc (const CvArr *image1, const CvArr *image2, CvArr *acc, const CvArr *mask CV_DEFAULT(NULL))
void | cvNormalizeHist (CvHistogram *hist, double factor)
double | cvPointPolygonTest (const CvArr *contour, CvPoint2D32f pt, int measure_dist)
CvSeq * | cvPointSeqFromMat (int seq_kind, const CvArr *mat, CvContour *contour_header, CvSeqBlock *block)
void | cvPreCornerDetect (const CvArr *image, CvArr *corners, int aperture_size CV_DEFAULT(3))
void | cvPyrDown (const CvArr *src, CvArr *dst, int filter CV_DEFAULT(CV_GAUSSIAN_5x5))
void | cvPyrMeanShiftFiltering (const CvArr *src, CvArr *dst, double sp, double sr, int max_level CV_DEFAULT(1), CvTermCriteria termcrit CV_DEFAULT(cvTermCriteria(CV_TERMCRIT_ITER+CV_TERMCRIT_EPS, 5, 1)))
void | cvPyrSegmentation (IplImage *src, IplImage *dst, CvMemStorage *storage, CvSeq **comp, int level, double threshold1, double threshold2)
void | cvPyrUp (const CvArr *src, CvArr *dst, int filter CV_DEFAULT(CV_GAUSSIAN_5x5))
CvPoint | cvReadChainPoint (CvChainPtReader *reader)
void | cvReleaseFeatureTree (struct CvFeatureTree *tr)
void | cvReleaseHist (CvHistogram **hist)
void | cvReleaseLSH (struct CvLSH **lsh)
void | cvReleasePyramid (CvMat ***pyramid, int extra_layers)
void | cvReleaseStructuringElement (IplConvKernel **element)
void | cvRemap (const CvArr *src, CvArr *dst, const CvArr *mapx, const CvArr *mapy, int flags CV_DEFAULT(CV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS), CvScalar fillval CV_DEFAULT(cvScalarAll(0)))
void | cvResize (const CvArr *src, CvArr *dst, int interpolation CV_DEFAULT(CV_INTER_LINEAR))
void | cvRunningAvg (const CvArr *image, CvArr *acc, double alpha, const CvArr *mask CV_DEFAULT(NULL))
int | cvSampleLine (const CvArr *image, CvPoint pt1, CvPoint pt2, void *buffer, int connectivity CV_DEFAULT(8))
void | cvSetHistBinRanges (CvHistogram *hist, float **ranges, int uniform CV_DEFAULT(1))
void | cvSmooth (const CvArr *src, CvArr *dst, int smoothtype CV_DEFAULT(CV_GAUSSIAN), int size1 CV_DEFAULT(3), int size2 CV_DEFAULT(0), double sigma1 CV_DEFAULT(0), double sigma2 CV_DEFAULT(0))
void | cvSobel (const CvArr *src, CvArr *dst, int xorder, int yorder, int aperture_size CV_DEFAULT(3))
void | cvSquareAcc (const CvArr *image, CvArr *sqsum, const CvArr *mask CV_DEFAULT(NULL))
CvContourScanner | cvStartFindContours (CvArr *image, CvMemStorage *storage, int header_size CV_DEFAULT(sizeof(CvContour)), int mode CV_DEFAULT(CV_RETR_LIST), int method CV_DEFAULT(CV_CHAIN_APPROX_SIMPLE), CvPoint offset CV_DEFAULT(cvPoint(0, 0)))
void | cvStartReadChainPoints (CvChain *chain, CvChainPtReader *reader)
CV_INLINE CvSubdiv2DPoint * | cvSubdiv2DEdgeDst (CvSubdiv2DEdge edge)
CV_INLINE CvSubdiv2DPoint * | cvSubdiv2DEdgeOrg (CvSubdiv2DEdge edge)
CV_INLINE CvSubdiv2DEdge | cvSubdiv2DGetEdge (CvSubdiv2DEdge edge, CvNextEdgeType type)
CvSubdiv2DPointLocation | cvSubdiv2DLocate (CvSubdiv2D *subdiv, CvPoint2D32f pt, CvSubdiv2DEdge *edge, CvSubdiv2DPoint **vertex CV_DEFAULT(NULL))
CV_INLINE CvSubdiv2DEdge | cvSubdiv2DNextEdge (CvSubdiv2DEdge edge)
CV_INLINE CvSubdiv2DEdge | cvSubdiv2DRotateEdge (CvSubdiv2DEdge edge, int rotate)
CV_INLINE CvSubdiv2DEdge | cvSubdiv2DSymEdge (CvSubdiv2DEdge edge)
CvSubdiv2DPoint * | cvSubdivDelaunay2DInsert (CvSubdiv2D *subdiv, CvPoint2D32f pt)
void | cvSubstituteContour (CvContourScanner scanner, CvSeq *new_contour)
void | cvThreshHist (CvHistogram *hist, double threshold)
double | cvThreshold (const CvArr *src, CvArr *dst, double threshold, double max_value, int threshold_type)
CV_INLINE double | cvTriangleArea (CvPoint2D32f a, CvPoint2D32f b, CvPoint2D32f c)
void | cvUndistort2 (const CvArr *src, CvArr *dst, const CvMat *camera_matrix, const CvMat *distortion_coeffs, const CvMat *new_camera_matrix CV_DEFAULT(0))
void | cvUndistortPoints (const CvMat *src, CvMat *dst, const CvMat *camera_matrix, const CvMat *dist_coeffs, const CvMat *R CV_DEFAULT(0), const CvMat *P CV_DEFAULT(0))
void | cvWarpAffine (const CvArr *src, CvArr *dst, const CvMat *map_matrix, int flags CV_DEFAULT(CV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS), CvScalar fillval CV_DEFAULT(cvScalarAll(0)))
void | cvWarpPerspective (const CvArr *src, CvArr *dst, const CvMat *map_matrix, int flags CV_DEFAULT(CV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS), CvScalar fillval CV_DEFAULT(cvScalarAll(0)))
void | cvWatershed (const CvArr *image, CvArr *markers)
unsigned int | LSHSize (struct CvLSH *lsh)

## Define Documentation

#define cvCalcBackProject | ( |  | image,
|  |  | dst,
|  |  | hist
| ) |  | cvCalcArrBackProject((CvArr**)image, dst, hist)

#define cvCalcBackProjectPatch | ( |  | image,
|  |  | dst,
|  |  | range,
|  |  | hist,
|  |  | method,
|  |  | factor
| ) |  | cvCalcArrBackProjectPatch( (CvArr**)image, dst, range, hist, method, factor )

## Function Documentation

CvMat* cv2DRotationMatrix | ( | CvPoint2D32f | center,
|  | double | angle,
|  | double | scale,
|  | CvMat * | map_matrix
| ) |  |

void cvAcc | ( | const CvArr * | image,
|  | CvArr * | sum,
|  | const CvArr *mask | CV_DEFAULTNULL
| ) |  |

void cvAdaptiveThreshold | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | double | max_value,
|  | int adaptive_method | CV_DEFAULTCV_ADAPTIVE_THRESH_MEAN_C,
|  | int threshold_type | CV_DEFAULTCV_THRESH_BINARY,
|  | int block_size | CV_DEFAULT3,
|  | double param1 | CV_DEFAULT5
| ) |  |

CvSeq* cvApproxChains | ( | CvSeq * | src_seq,
|  | CvMemStorage * | storage,
|  | int method | CV_DEFAULTCV_CHAIN_APPROX_SIMPLE,
|  | double parameter | CV_DEFAULT0,
|  | int minimal_perimeter | CV_DEFAULT0,
|  | int recursive | CV_DEFAULT0
| ) |  |

CvSeq* cvApproxPoly | ( | const void * | src_seq,
|  | int | header_size,
|  | CvMemStorage * | storage,
|  | int | method,
|  | double | parameter,
|  | int parameter2 | CV_DEFAULT0
| ) |  |

double cvArcLength | ( | const void * | curve,
|  | CvSlice slice | CV_DEFAULTCV_WHOLE_SEQ,
|  | int is_closed | CV_DEFAULT-1
| ) |  |

CvRect cvBoundingRect | ( | CvArr * | points,
|  | int update | CV_DEFAULT0
| ) |  |

void cvBoxPoints | ( | CvBox2D | box,
|  | CvPoint2D32f | pt[4]
| ) |  |

void cvCalcArrBackProject | ( | CvArr ** | image,
|  | CvArr * | dst,
|  | const CvHistogram * | hist
| ) |  |

void cvCalcArrBackProjectPatch | ( | CvArr ** | image,
|  | CvArr * | dst,
|  | CvSize | range,
|  | CvHistogram * | hist,
|  | int | method,
|  | double | factor
| ) |  |

void cvCalcArrHist | ( | CvArr ** | arr,
|  | CvHistogram * | hist,
|  | int accumulate | CV_DEFAULT0,
|  | const CvArr *mask | CV_DEFAULTNULL
| ) |  |

void cvCalcBayesianProb | ( | CvHistogram ** | src,
|  | int | number,
|  | CvHistogram ** | dst
| ) |  |

float cvCalcEMD2 | ( | const CvArr * | signature1,
|  | const CvArr * | signature2,
|  | int | distance_type,
|  | CvDistanceFunction distance_func | CV_DEFAULTNULL,
|  | const CvArr *cost_matrix | CV_DEFAULTNULL,
|  | CvArr *flow | CV_DEFAULTNULL,
|  | float *lower_bound | CV_DEFAULTNULL,
|  | void *userdata | CV_DEFAULTNULL
| ) |  |

CV_INLINE void cvCalcHist | ( | IplImage ** | image,
|  | CvHistogram * | hist,
|  | int accumulate | CV_DEFAULT0,
|  | const CvArr *mask | CV_DEFAULTNULL
| ) |  |

void cvCalcProbDensity | ( | const CvHistogram * | hist1,
|  | const CvHistogram * | hist2,
|  | CvHistogram * | dst_hist,
|  | double scale | CV_DEFAULT255
| ) |  |

void cvCalcSubdivVoronoi2D | ( | CvSubdiv2D * | subdiv ) |

void cvCanny | ( | const CvArr * | image,
|  | CvArr * | edges,
|  | double | threshold1,
|  | double | threshold2,
|  | int aperture_size | CV_DEFAULT3
| ) |  |

int cvCheckContourConvexity | ( | const CvArr * | contour ) |

void cvClearHist | ( | CvHistogram * | hist ) |

void cvClearSubdivVoronoi2D | ( | CvSubdiv2D * | subdiv ) |

double cvCompareHist | ( | const CvHistogram * | hist1,
|  | const CvHistogram * | hist2,
|  | int | method
| ) |  |

double cvContourArea | ( | const CvArr * | contour,
|  | CvSlice slice | CV_DEFAULTCV_WHOLE_SEQ,
|  | int oriented | CV_DEFAULT0
| ) |  |

CV_INLINE double cvContourPerimeter | ( | const void * | contour ) |

void cvConvertMaps | ( | const CvArr * | mapx,
|  | const CvArr * | mapy,
|  | CvArr * | mapxy,
|  | CvArr * | mapalpha
| ) |  |

CvSeq* cvConvexHull2 | ( | const CvArr * | input,
|  | void *hull_storage | CV_DEFAULTNULL,
|  | int orientation | CV_DEFAULTCV_CLOCKWISE,
|  | int return_points | CV_DEFAULT0
| ) |  |

CvSeq* cvConvexityDefects | ( | const CvArr * | contour,
|  | const CvArr * | convexhull,
|  | CvMemStorage *storage | CV_DEFAULTNULL
| ) |  |

void cvCopyHist | ( | const CvHistogram * | src,
|  | CvHistogram ** | dst
| ) |  |

void cvCopyMakeBorder | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | CvPoint | offset,
|  | int | bordertype,
|  | CvScalar value | CV_DEFAULTcvScalarAll(0)
| ) |  |

void cvCornerEigenValsAndVecs | ( | const CvArr * | image,
|  | CvArr * | eigenvv,
|  | int | block_size,
|  | int aperture_size | CV_DEFAULT3
| ) |  |

void cvCornerHarris | ( | const CvArr * | image,
|  | CvArr * | harris_responce,
|  | int | block_size,
|  | int aperture_size | CV_DEFAULT3,
|  | double k | CV_DEFAULT0.04
| ) |  |

void cvCornerMinEigenVal | ( | const CvArr * | image,
|  | CvArr * | eigenval,
|  | int | block_size,
|  | int aperture_size | CV_DEFAULT3
| ) |  |

CvHistogram* cvCreateHist | ( | int | dims,
|  | int * | sizes,
|  | int | type,
|  | float **ranges | CV_DEFAULTNULL,
|  | int uniform | CV_DEFAULT1
| ) |  |

struct CvFeatureTree* cvCreateKDTree | ( | CvMat * | desc ) | `[read]`

struct CvLSH* cvCreateLSH | ( | struct CvLSHOperations * | ops,
|  | int | d,
|  | int L | CV_DEFAULT10,
|  | int k | CV_DEFAULT10,
|  | int type | CV_DEFAULTCV_64FC1,
|  | double r | CV_DEFAULT4,
|  | int64 seed | CV_DEFAULT-1
| ) |  | `[read]`

struct CvLSH* cvCreateMemoryLSH | ( | int | d,
|  | int | n,
|  | int L | CV_DEFAULT10,
|  | int k | CV_DEFAULT10,
|  | int type | CV_DEFAULTCV_64FC1,
|  | double r | CV_DEFAULT4,
|  | int64 seed | CV_DEFAULT-1
| ) |  | `[read]`

CvMat** cvCreatePyramid | ( | const CvArr * | img,
|  | int | extra_layers,
|  | double | rate,
|  | const CvSize *layer_sizes | CV_DEFAULT0,
|  | CvArr *bufarr | CV_DEFAULT0,
|  | int calc | CV_DEFAULT1,
|  | int filter | CV_DEFAULTCV_GAUSSIAN_5x5
| ) |  |

struct CvFeatureTree* cvCreateSpillTree | ( | const CvMat * | raw_data,
|  | const int naive | CV_DEFAULT50,
|  | const double rho | CV_DEFAULT.7,
|  | const double tau | CV_DEFAULT.1
| ) |  | `[read]`

IplConvKernel* cvCreateStructuringElementEx | ( | int | cols,
|  | int | rows,
|  | int | anchor_x,
|  | int | anchor_y,
|  | int | shape,
|  | int *values | CV_DEFAULTNULL
| ) |  |

CvSubdiv2D* cvCreateSubdiv2D | ( | int | subdiv_type,
|  | int | header_size,
|  | int | vtx_size,
|  | int | quadedge_size,
|  | CvMemStorage * | storage
| ) |  |

CV_INLINE CvSubdiv2D* cvCreateSubdivDelaunay2D | ( | CvRect | rect,
|  | CvMemStorage * | storage
| ) |  |

void cvCvtColor | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int | code
| ) |  |

void cvDilate | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | IplConvKernel *element | CV_DEFAULTNULL,
|  | int iterations | CV_DEFAULT1
| ) |  |

void cvDistTransform | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int distance_type | CV_DEFAULTCV_DIST_L2,
|  | int mask_size | CV_DEFAULT3,
|  | const float *mask | CV_DEFAULTNULL,
|  | CvArr *labels | CV_DEFAULTNULL
| ) |  |

CvSeq* cvEndFindContours | ( | CvContourScanner * | scanner ) |

void cvEqualizeHist | ( | const CvArr * | src,
|  | CvArr * | dst
| ) |  |

void cvErode | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | IplConvKernel *element | CV_DEFAULTNULL,
|  | int iterations | CV_DEFAULT1
| ) |  |

void cvFilter2D | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | const CvMat * | kernel,
|  | CvPoint anchor | CV_DEFAULTcvPoint(-1,-1)
| ) |  |

int cvFindContours | ( | CvArr * | image,
|  | CvMemStorage * | storage,
|  | CvSeq ** | first_contour,
|  | int header_size | CV_DEFAULTsizeof(CvContour),
|  | int mode | CV_DEFAULTCV_RETR_LIST,
|  | int method | CV_DEFAULTCV_CHAIN_APPROX_SIMPLE,
|  | CvPoint offset | CV_DEFAULTcvPoint(0, 0)
| ) |  |

void cvFindCornerSubPix | ( | const CvArr * | image,
|  | CvPoint2D32f * | corners,
|  | int | count,
|  | CvSize | win,
|  | CvSize | zero_zone,
|  | CvTermCriteria | criteria
| ) |  |

void cvFindFeatures | ( | struct CvFeatureTree * | tr,
|  | const CvMat * | query_points,
|  | CvMat * | indices,
|  | CvMat * | dist,
|  | int | k,
|  | int emax | CV_DEFAULT20
| ) |  |

int cvFindFeaturesBoxed | ( | struct CvFeatureTree * | tr,
|  | CvMat * | bounds_min,
|  | CvMat * | bounds_max,
|  | CvMat * | out_indices
| ) |  |

CvSubdiv2DPoint* cvFindNearestPoint2D | ( | CvSubdiv2D * | subdiv,
|  | CvPoint2D32f | pt
| ) |  |

CvSeq* cvFindNextContour | ( | CvContourScanner | scanner ) |

CvBox2D cvFitEllipse2 | ( | const CvArr * | points ) |

void cvFitLine | ( | const CvArr * | points,
|  | int | dist_type,
|  | double | param,
|  | double | reps,
|  | double | aeps,
|  | float * | line
| ) |  |

void cvFloodFill | ( | CvArr * | image,
|  | CvPoint | seed_point,
|  | CvScalar | new_val,
|  | CvScalar lo_diff | CV_DEFAULTcvScalarAll(0),
|  | CvScalar up_diff | CV_DEFAULTcvScalarAll(0),
|  | CvConnectedComp *comp | CV_DEFAULTNULL,
|  | int flags | CV_DEFAULT4,
|  | CvArr *mask | CV_DEFAULTNULL
| ) |  |

CvMat* cvGetAffineTransform | ( | const CvPoint2D32f * | src,
|  | const CvPoint2D32f * | dst,
|  | CvMat * | map_matrix
| ) |  |

double cvGetCentralMoment | ( | CvMoments * | moments,
|  | int | x_order,
|  | int | y_order
| ) |  |

void cvGetHuMoments | ( | CvMoments * | moments,
|  | CvHuMoments * | hu_moments
| ) |  |

void cvGetMinMaxHistValue | ( | const CvHistogram * | hist,
|  | float * | min_value,
|  | float * | max_value,
|  | int *min_idx | CV_DEFAULTNULL,
|  | int *max_idx | CV_DEFAULTNULL
| ) |  |

double cvGetNormalizedCentralMoment | ( | CvMoments * | moments,
|  | int | x_order,
|  | int | y_order
| ) |  |

CvMat* cvGetPerspectiveTransform | ( | const CvPoint2D32f * | src,
|  | const CvPoint2D32f * | dst,
|  | CvMat * | map_matrix
| ) |  |

void cvGetQuadrangleSubPix | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | const CvMat * | map_matrix
| ) |  |

void cvGetRectSubPix | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | CvPoint2D32f | center
| ) |  |

double cvGetSpatialMoment | ( | CvMoments * | moments,
|  | int | x_order,
|  | int | y_order
| ) |  |

void cvGoodFeaturesToTrack | ( | const CvArr * | image,
|  | CvArr * | eig_image,
|  | CvArr * | temp_image,
|  | CvPoint2D32f * | corners,
|  | int * | corner_count,
|  | double | quality_level,
|  | double | min_distance,
|  | const CvArr *mask | CV_DEFAULTNULL,
|  | int block_size | CV_DEFAULT3,
|  | int use_harris | CV_DEFAULT0,
|  | double k | CV_DEFAULT0.04
| ) |  |

CvSeq* cvHoughCircles | ( | CvArr * | image,
|  | void * | circle_storage,
|  | int | method,
|  | double | dp,
|  | double | min_dist,
|  | double param1 | CV_DEFAULT100,
|  | double param2 | CV_DEFAULT100,
|  | int min_radius | CV_DEFAULT0,
|  | int max_radius | CV_DEFAULT0
| ) |  |

CvSeq* cvHoughLines2 | ( | CvArr * | image,
|  | void * | line_storage,
|  | int | method,
|  | double | rho,
|  | double | theta,
|  | int | threshold,
|  | double param1 | CV_DEFAULT0,
|  | double param2 | CV_DEFAULT0
| ) |  |

void cvInitSubdivDelaunay2D | ( | CvSubdiv2D * | subdiv,
|  | CvRect | rect
| ) |  |

void cvInitUndistortMap | ( | const CvMat * | camera_matrix,
|  | const CvMat * | distortion_coeffs,
|  | CvArr * | mapx,
|  | CvArr * | mapy
| ) |  |

void cvInitUndistortRectifyMap | ( | const CvMat * | camera_matrix,
|  | const CvMat * | dist_coeffs,
|  | const CvMat * | R,
|  | const CvMat * | new_camera_matrix,
|  | CvArr * | mapx,
|  | CvArr * | mapy
| ) |  |

void cvInpaint | ( | const CvArr * | src,
|  | const CvArr * | inpaint_mask,
|  | CvArr * | dst,
|  | double | inpaintRange,
|  | int | flags
| ) |  |

void cvIntegral | ( | const CvArr * | image,
|  | CvArr * | sum,
|  | CvArr *sqsum | CV_DEFAULTNULL,
|  | CvArr *tilted_sum | CV_DEFAULTNULL
| ) |  |

void cvLaplace | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int aperture_size | CV_DEFAULT3
| ) |  |

void cvLinearPolar | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | CvPoint2D32f | center,
|  | double | maxRadius,
|  | int flags | CV_DEFAULTCV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS
| ) |  |

void cvLogPolar | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | CvPoint2D32f | center,
|  | double | M,
|  | int flags | CV_DEFAULTCV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS
| ) |  |

void cvLSHAdd | ( | struct CvLSH * | lsh,
|  | const CvMat * | data,
|  | CvMat *indices | CV_DEFAULT0
| ) |  |

void cvLSHQuery | ( | struct CvLSH * | lsh,
|  | const CvMat * | query_points,
|  | CvMat * | indices,
|  | CvMat * | dist,
|  | int | k,
|  | int | emax
| ) |  |

void cvLSHRemove | ( | struct CvLSH * | lsh,
|  | const CvMat * | indices
| ) |  |

CvHistogram* cvMakeHistHeaderForArray | ( | int | dims,
|  | int * | sizes,
|  | CvHistogram * | hist,
|  | float * | data,
|  | float **ranges | CV_DEFAULTNULL,
|  | int uniform | CV_DEFAULT1
| ) |  |

double cvMatchShapes | ( | const void * | object1,
|  | const void * | object2,
|  | int | method,
|  | double parameter | CV_DEFAULT0
| ) |  |

void cvMatchTemplate | ( | const CvArr * | image,
|  | const CvArr * | templ,
|  | CvArr * | result,
|  | int | method
| ) |  |

CvRect cvMaxRect | ( | const CvRect * | rect1,
|  | const CvRect * | rect2
| ) |  |

CvBox2D cvMinAreaRect2 | ( | const CvArr * | points,
|  | CvMemStorage *storage | CV_DEFAULTNULL
| ) |  |

int cvMinEnclosingCircle | ( | const CvArr * | points,
|  | CvPoint2D32f * | center,
|  | float * | radius
| ) |  |

void cvMoments | ( | const CvArr * | arr,
|  | CvMoments * | moments,
|  | int binary | CV_DEFAULT0
| ) |  |

void cvMorphologyEx | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | CvArr * | temp,
|  | IplConvKernel * | element,
|  | int | operation,
|  | int iterations | CV_DEFAULT1
| ) |  |

void cvMultiplyAcc | ( | const CvArr * | image1,
|  | const CvArr * | image2,
|  | CvArr * | acc,
|  | const CvArr *mask | CV_DEFAULTNULL
| ) |  |

void cvNormalizeHist | ( | CvHistogram * | hist,
|  | double | factor
| ) |  |

double cvPointPolygonTest | ( | const CvArr * | contour,
|  | CvPoint2D32f | pt,
|  | int | measure_dist
| ) |  |

CvSeq* cvPointSeqFromMat | ( | int | seq_kind,
|  | const CvArr * | mat,
|  | CvContour * | contour_header,
|  | CvSeqBlock * | block
| ) |  |

void cvPreCornerDetect | ( | const CvArr * | image,
|  | CvArr * | corners,
|  | int aperture_size | CV_DEFAULT3
| ) |  |

void cvPyrDown | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int filter | CV_DEFAULTCV_GAUSSIAN_5x5
| ) |  |

void cvPyrMeanShiftFiltering | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | double | sp,
|  | double | sr,
|  | int max_level | CV_DEFAULT1,
|  | CvTermCriteria termcrit | CV_DEFAULTcvTermCriteria(CV_TERMCRIT_ITER+CV_TERMCRIT_EPS, 5, 1)
| ) |  |

void cvPyrSegmentation | ( | IplImage * | src,
|  | IplImage * | dst,
|  | CvMemStorage * | storage,
|  | CvSeq ** | comp,
|  | int | level,
|  | double | threshold1,
|  | double | threshold2
| ) |  |

void cvPyrUp | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int filter | CV_DEFAULTCV_GAUSSIAN_5x5
| ) |  |

CvPoint cvReadChainPoint | ( | CvChainPtReader * | reader ) |

void cvReleaseFeatureTree | ( | struct CvFeatureTree * | tr ) |

void cvReleaseHist | ( | CvHistogram ** | hist ) |

void cvReleaseLSH | ( | struct CvLSH ** | lsh ) |

void cvReleasePyramid | ( | CvMat *** | pyramid,
|  | int | extra_layers
| ) |  |

void cvReleaseStructuringElement | ( | IplConvKernel ** | element ) |

void cvRemap | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | const CvArr * | mapx,
|  | const CvArr * | mapy,
|  | int flags | CV_DEFAULTCV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS,
|  | CvScalar fillval | CV_DEFAULTcvScalarAll(0)
| ) |  |

void cvResize | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int interpolation | CV_DEFAULTCV_INTER_LINEAR
| ) |  |

void cvRunningAvg | ( | const CvArr * | image,
|  | CvArr * | acc,
|  | double | alpha,
|  | const CvArr *mask | CV_DEFAULTNULL
| ) |  |

int cvSampleLine | ( | const CvArr * | image,
|  | CvPoint | pt1,
|  | CvPoint | pt2,
|  | void * | buffer,
|  | int connectivity | CV_DEFAULT8
| ) |  |

void cvSetHistBinRanges | ( | CvHistogram * | hist,
|  | float ** | ranges,
|  | int uniform | CV_DEFAULT1
| ) |  |

void cvSmooth | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int smoothtype | CV_DEFAULTCV_GAUSSIAN,
|  | int size1 | CV_DEFAULT3,
|  | int size2 | CV_DEFAULT0,
|  | double sigma1 | CV_DEFAULT0,
|  | double sigma2 | CV_DEFAULT0
| ) |  |

void cvSobel | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int | xorder,
|  | int | yorder,
|  | int aperture_size | CV_DEFAULT3
| ) |  |

void cvSquareAcc | ( | const CvArr * | image,
|  | CvArr * | sqsum,
|  | const CvArr *mask | CV_DEFAULTNULL
| ) |  |

CvContourScanner cvStartFindContours | ( | CvArr * | image,
|  | CvMemStorage * | storage,
|  | int header_size | CV_DEFAULTsizeof(CvContour),
|  | int mode | CV_DEFAULTCV_RETR_LIST,
|  | int method | CV_DEFAULTCV_CHAIN_APPROX_SIMPLE,
|  | CvPoint offset | CV_DEFAULTcvPoint(0, 0)
| ) |  |

void cvStartReadChainPoints | ( | CvChain * | chain,
|  | CvChainPtReader * | reader
| ) |  |

CV_INLINE CvSubdiv2DPoint* cvSubdiv2DEdgeDst | ( | CvSubdiv2DEdge | edge ) |

CV_INLINE CvSubdiv2DPoint* cvSubdiv2DEdgeOrg | ( | CvSubdiv2DEdge | edge ) |

CV_INLINE CvSubdiv2DEdge cvSubdiv2DGetEdge | ( | CvSubdiv2DEdge | edge,
|  | CvNextEdgeType | type
| ) |  |

CvSubdiv2DPointLocation cvSubdiv2DLocate | ( | CvSubdiv2D * | subdiv,
|  | CvPoint2D32f | pt,
|  | CvSubdiv2DEdge * | edge,
|  | CvSubdiv2DPoint **vertex | CV_DEFAULTNULL
| ) |  |

CV_INLINE CvSubdiv2DEdge cvSubdiv2DNextEdge | ( | CvSubdiv2DEdge | edge ) |

CV_INLINE CvSubdiv2DEdge cvSubdiv2DRotateEdge | ( | CvSubdiv2DEdge | edge,
|  | int | rotate
| ) |  |

CV_INLINE CvSubdiv2DEdge cvSubdiv2DSymEdge | ( | CvSubdiv2DEdge | edge ) |

CvSubdiv2DPoint* cvSubdivDelaunay2DInsert | ( | CvSubdiv2D * | subdiv,
|  | CvPoint2D32f | pt
| ) |  |

void cvSubstituteContour | ( | CvContourScanner | scanner,
|  | CvSeq * | new_contour
| ) |  |

void cvThreshHist | ( | CvHistogram * | hist,
|  | double | threshold
| ) |  |

double cvThreshold | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | double | threshold,
|  | double | max_value,
|  | int | threshold_type
| ) |  |

CV_INLINE double cvTriangleArea | ( | CvPoint2D32f | a,
|  | CvPoint2D32f | b,
|  | CvPoint2D32f | c
| ) |  |

void cvUndistort2 | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | const CvMat * | camera_matrix,
|  | const CvMat * | distortion_coeffs,
|  | const CvMat *new_camera_matrix | CV_DEFAULT0
| ) |  |

void cvUndistortPoints | ( | const CvMat * | src,
|  | CvMat * | dst,
|  | const CvMat * | camera_matrix,
|  | const CvMat * | dist_coeffs,
|  | const CvMat *R | CV_DEFAULT0,
|  | const CvMat *P | CV_DEFAULT0
| ) |  |

void cvWarpAffine | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | const CvMat * | map_matrix,
|  | int flags | CV_DEFAULTCV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS,
|  | CvScalar fillval | CV_DEFAULTcvScalarAll(0)
| ) |  |

void cvWarpPerspective | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | const CvMat * | map_matrix,
|  | int flags | CV_DEFAULTCV_INTER_LINEAR+CV_WARP_FILL_OUTLIERS,
|  | CvScalar fillval | CV_DEFAULTcvScalarAll(0)
| ) |  |

void cvWatershed | ( | const CvArr * | image,
|  | CvArr * | markers
| ) |  |

unsigned int LSHSize | ( | struct CvLSH * | lsh ) |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines